Bug 1490867 - Temporarily hack build. rs=bustage-fix DONTBUILD
authorJorg K <jorgk@jorgk.com>
Thu, 13 Sep 2018 22:10:25 +0200
changeset 33145 f3343302b310a9a4a1a7b7084981e7932928010a
parent 33144 4bcb46410184d0ef4432b396528a2a8d59a23c4e
child 33146 779d0a64b2dddc27f05c2412be52271a4cf83252
push id387
push userclokep@gmail.com
push dateMon, 10 Dec 2018 21:30:47 +0000
reviewersbustage-fix
bugs1490867
Bug 1490867 - Temporarily hack build. rs=bustage-fix DONTBUILD
mail/confvars.sh
--- a/mail/confvars.sh
+++ b/mail/confvars.sh
@@ -1,14 +1,24 @@
 #! /bin/sh
 # This Source Code Form is subject to the terms of the Mozilla Public
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-. ${_topsrcdir}/$MOZ_BUILD_APP/../comm-confvars.sh
+export moztopsrcdir=${srcdir}
+export commtopsrcdir=${srcdir}/comm
+export mozreltopsrcdir=.
+export commreltopsrcdir=comm
+export commtopobjdir=${_objdir}/comm
+tmpscript=`$PYTHON -c 'import os, tempfile; print tempfile.mktemp(prefix="subscript.").replace(os.sep, "/")'` || exit 1
+m4 "${srcdir}/build/autoconf/subconfigure.m4" \
+   "${srcdir}/build/autoconf/altoptions.m4" \
+   "${srcdir}/${MOZ_BUILD_APP}/configure.in" > $tmpscript
+. $tmpscript
+rm -f $tmpscript
 
 MOZ_APP_BASENAME=Thunderbird
 MOZ_APP_NAME=thunderbird
 MOZ_UPDATER=1
 
 if test "$OS_ARCH" = "WINNT" -o \
         "$OS_ARCH" = "Linux"; then
   MOZ_BUNDLED_FONTS=1